Subject: bug#27622: Trying to improve the speed of linum-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jul 2017 22:44:10 +0300

[Please keep the bug address on the CC list.]

> From: Fis Trivial <[email-masked]>
> Date: Sat, 8 Jul 2017 19:22:06 +0000
> 
> Linux kernel patch-4.12. It's a file with 2040936 lines.

Where can I download it?

> Also in most of 
> the time I need to look at some formatted data files which could easily 
> be larger than the kernel patch.
> 
> 
> There is only one line of the code related to the new line number mode:
> 
> (setq display-line-numbers t)
> 
> According to the description in NEWS, it should activate the new line 
> number mode, but it doesn't.

It activates that in the buffer where this is executed, which is not
what you want.

> So after opening the file, I use the 
> command M-x toggle-display-line-numbers to activate the new line number 
> mode. After that, it should run smoothly if I am only viewing the upper 
> portion of the buffer. But if I use "C-x ]" to move the cursor to the 
> end of the buffer then Emacs will slow down dramatically.

I need to play with the file to see what's going on.